| Elektra 0.11.0

Classes | Namespaces
keyset.hpp File Reference
`#include <kdb.h>`
`#include <key.hpp>`
`#include <string>`

## Classes
struct | kdb::VaAlloc
| Needed to avoid constructor ambiguity. More...
class | kdb::KeySet
| A keyset holds together a set of keys. More...
class | kdb::KeySetIterator
| For C++ forward Iteration over KeySets. More...
class | kdb::KeySetReverseIterator
| For C++ reverse Iteration over KeySets. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)